searchNodes=[{"ref":"ElixirTools.html","title":"ElixirTools","type":"module","doc":"Documentation for ElixirTools."},{"ref":"ElixirTools.html#hello/0","title":"ElixirTools.hello/0","type":"function","doc":"Hello world. Examples iex&gt; ElixirTools.hello() :world"},{"ref":"ElixirTools.CardDate.html","title":"ElixirTools.CardDate","type":"module","doc":"Helper functions for dealing with card date transformations and parsing. Dictionary of terms Term | Description | Template | Example | --------------|---------------------------------------|-------------|-------------| card_date | Date format used by CC issuers | MM/YY | 12/30 | date | Elixir Date type | %Date{} | ... | iso_date | ISO8601 string of the date | YYYY-MM-DD | 2030-12-15 | short_year | Year written in the shortened format | YY | 19 | full_year | Year written in the full format | YYYY | 2019 |"},{"ref":"ElixirTools.CardDate.html#enforce_card_date_format!/1","title":"ElixirTools.CardDate.enforce_card_date_format!/1","type":"function","doc":"Enforces that the provided card_date is in the correct format (mm/yy). If the format is correct, the same data is returned, and if it&#39;s incorrect an error is raised. Examples iex&gt; ElixirTools.CardDate.enforce_card_date_format!(&quot;12/19&quot;) &quot;12/19&quot; iex&gt; ElixirTools.CardDate.enforce_card_date_format!(&quot;12.19&quot;) ** (RuntimeError) Invalid card_date format iex&gt; ElixirTools.CardDate.enforce_card_date_format!(&quot;2019-12-01&quot;) ** (RuntimeError) Invalid card_date format iex&gt; ElixirTools.CardDate.enforce_card_date_format!(42) ** (RuntimeError) Invalid card_date format"},{"ref":"ElixirTools.CardDate.html#from_date!/1","title":"ElixirTools.CardDate.from_date!/1","type":"function","doc":"Takes a Date-compatible input and generates a card_date string. Examples iex&gt; ElixirTools.CardDate.from_date!(~D[2012-09-01]) &quot;09/12&quot; iex&gt; ElixirTools.CardDate.from_date!(~N[2022-12-03 12:34:56]) &quot;12/22&quot; iex&gt; ElixirTools.CardDate.from_date!(&quot;2001-09-11&quot;) ** (RuntimeError) Invalid Date provided"},{"ref":"ElixirTools.CardDate.html#get_month!/1","title":"ElixirTools.CardDate.get_month!/1","type":"function","doc":"Gets the integer value of the month part of the card_date. Examples iex&gt; ElixirTools.CardDate.get_month!(&quot;12/19&quot;) 12"},{"ref":"ElixirTools.CardDate.html#get_year!/1","title":"ElixirTools.CardDate.get_year!/1","type":"function","doc":"Gets the integer value of the (full) year part of the card_date. Examples iex&gt; ElixirTools.CardDate.get_year!(&quot;12/19&quot;) 2019"},{"ref":"ElixirTools.CardDate.html#parse_card_date!/1","title":"ElixirTools.CardDate.parse_card_date!/1","type":"function","doc":"Tries to parse the card_date into a NaiveDateTime. Raises a RuntimeError if unsuccessful. Examples iex&gt; ElixirTools.CardDate.parse_card_date!(&quot;12/19&quot;) ~N[2019-12-01 00:00:00] iex&gt; ElixirTools.CardDate.parse_card_date!(42) ** (RuntimeError) Invalid card_date format"},{"ref":"ElixirTools.CardDate.html#to_date!/2","title":"ElixirTools.CardDate.to_date!/2","type":"function","doc":"Transforms the card_date format into an Elixir %Date{} type. Since the card_date format does not contain a day value, it must also be supplied, otherwise the default 1 is taken. Examples iex&gt; ElixirTools.CardDate.to_date!(&quot;12/19&quot;) ~D[2019-12-01] iex&gt; ElixirTools.CardDate.to_date!(&quot;12/19&quot;, [day: 16]) ~D[2019-12-16]"},{"ref":"ElixirTools.CardDate.html#to_iso_string!/2","title":"ElixirTools.CardDate.to_iso_string!/2","type":"function","doc":"Returns the card_date formatted as an ISO8601 string. Since the card_date format does not contain a day value, it must also be supplied, otherwise the default 1 is taken. Examples iex&gt; ElixirTools.CardDate.to_iso_string!(&quot;12/19&quot;) &quot;2019-12-01&quot; iex&gt; ElixirTools.CardDate.to_iso_string!(&quot;12/19&quot;, [day: 16]) &quot;2019-12-16&quot;"},{"ref":"ElixirTools.ContractImpl.html","title":"ElixirTools.ContractImpl","type":"module","doc":"This support module helps with implementing contracts in tests. It ensures that the signature of a method is right. This is done by creating dynamically a contract for all public functions. To use this helper, add to the contract of the module that you want to implement: use ElixirTools.ContractImpl, module: MyApp.TestModule Then, all mocked methods must be using @impl true. There is a caveat. At this moment, the specs themselves are not tested, as test files are exs files thus not dialyzable."},{"ref":"ElixirTools.ContractImpl.html#arg_to_module!/1","title":"ElixirTools.ContractImpl.arg_to_module!/1","type":"function","doc":""},{"ref":"ElixirTools.Events.Adapters.AwsSns.html","title":"ElixirTools.Events.Adapters.AwsSns","type":"module","doc":"Functionality for pushing an event to SNS"},{"ref":"ElixirTools.Events.Event.html","title":"ElixirTools.Events.Event","type":"module","doc":"A structure for working with events. event_id_seed is used for event_id generation(UUID5) together with name &amp; version. So if all values are the same event will be updated."},{"ref":"ElixirTools.Events.Event.html#publish/2","title":"ElixirTools.Events.Event.publish/2","type":"function","doc":""},{"ref":"ElixirTools.Events.Event.html#validate/1","title":"ElixirTools.Events.Event.validate/1","type":"function","doc":""},{"ref":"ElixirTools.Events.Event.html#t:t/0","title":"ElixirTools.Events.Event.t/0","type":"type","doc":""},{"ref":"ElixirTools.Events.EventHandler.html","title":"ElixirTools.Events.EventHandler","type":"behaviour","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#c:create/2","title":"ElixirTools.Events.EventHandler.create/2","type":"callback","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#create/3","title":"ElixirTools.Events.EventHandler.create/3","type":"function","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#create/4","title":"ElixirTools.Events.EventHandler.create/4","type":"function","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#publish/2","title":"ElixirTools.Events.EventHandler.publish/2","type":"function","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#c:publish/2","title":"ElixirTools.Events.EventHandler.publish/2","type":"callback","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#publish_event_call/2","title":"ElixirTools.Events.EventHandler.publish_event_call/2","type":"function","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#c:send_event/2","title":"ElixirTools.Events.EventHandler.send_event/2","type":"callback","doc":""},{"ref":"ElixirTools.Events.EventHandler.html#t:events_opt/0","title":"ElixirTools.Events.EventHandler.events_opt/0","type":"type","doc":""},{"ref":"ElixirTools.Events.NotSentEvent.html","title":"ElixirTools.Events.NotSentEvent","type":"module","doc":"Schema used for saving not sent (due to a failure) events to DB. They supposed to be resend later, after this a field is_sent has to be set to true"},{"ref":"ElixirTools.Events.NotSentEvent.html#all/1","title":"ElixirTools.Events.NotSentEvent.all/1","type":"function","doc":"Fetches all records from the DB."},{"ref":"ElixirTools.Events.NotSentEvent.html#create/1","title":"ElixirTools.Events.NotSentEvent.create/1","type":"function","doc":"Creates a new MODULE struct by parameters and inserts it in the database when the values are valid"},{"ref":"ElixirTools.Events.NotSentEvent.html#create!/1","title":"ElixirTools.Events.NotSentEvent.create!/1","type":"function","doc":"The same as create/1 but raises an error when validation fails."},{"ref":"ElixirTools.Events.NotSentEvent.html#get/1","title":"ElixirTools.Events.NotSentEvent.get/1","type":"function","doc":"Gets a struct from the database by providing the ID"},{"ref":"ElixirTools.Events.NotSentEvent.html#get!/1","title":"ElixirTools.Events.NotSentEvent.get!/1","type":"function","doc":"Gets a struct from the database by providing the ID, raises Ecto.NoResultsError if no record was found"},{"ref":"ElixirTools.Events.NotSentEvent.html#get_by/1","title":"ElixirTools.Events.NotSentEvent.get_by/1","type":"function","doc":"Gets the first record by key: value"},{"ref":"ElixirTools.Events.NotSentEvent.html#get_by!/1","title":"ElixirTools.Events.NotSentEvent.get_by!/1","type":"function","doc":"Gets the first record by key: value"},{"ref":"ElixirTools.Events.NotSentEvent.html#insert/1","title":"ElixirTools.Events.NotSentEvent.insert/1","type":"function","doc":"Inserts a struct into the database."},{"ref":"ElixirTools.Events.NotSentEvent.html#insert!/1","title":"ElixirTools.Events.NotSentEvent.insert!/1","type":"function","doc":"Inserts a struct in the database and throws an error when it fails."},{"ref":"ElixirTools.Events.NotSentEvent.html#last/2","title":"ElixirTools.Events.NotSentEvent.last/2","type":"function","doc":"Gets the last record (by inserted_at) where given field equals given value. Returns nil if nothing was found."},{"ref":"ElixirTools.Events.NotSentEvent.html#new/1","title":"ElixirTools.Events.NotSentEvent.new/1","type":"function","doc":"Creates a new changeset by providing map. Returns a struct of the type with the defaults set. Keep in mind that new/1 does not validate."},{"ref":"ElixirTools.Events.NotSentEvent.html#preload/3","title":"ElixirTools.Events.NotSentEvent.preload/3","type":"function","doc":"Preloads a field or multiple fields on a struct."},{"ref":"ElixirTools.Events.NotSentEvent.html#repo/0","title":"ElixirTools.Events.NotSentEvent.repo/0","type":"function","doc":"Returns the default repo"},{"ref":"ElixirTools.Events.NotSentEvent.html#update/2","title":"ElixirTools.Events.NotSentEvent.update/2","type":"function","doc":"Alters the struct with the values and updates the database record. The first argument takes the original struct, the second a map with changes."},{"ref":"ElixirTools.Events.NotSentEvent.html#update!/2","title":"ElixirTools.Events.NotSentEvent.update!/2","type":"function","doc":"The same as update/2 but raises an error when validation fails."},{"ref":"ElixirTools.Events.NotSentEvent.html#validate/1","title":"ElixirTools.Events.NotSentEvent.validate/1","type":"function","doc":"Validates a map or struct."},{"ref":"ElixirTools.Events.NotSentEvent.html#t:external_reference/0","title":"ElixirTools.Events.NotSentEvent.external_reference/0","type":"type","doc":""},{"ref":"ElixirTools.Events.NotSentEvent.html#t:id/0","title":"ElixirTools.Events.NotSentEvent.id/0","type":"type","doc":""},{"ref":"ElixirTools.Events.NotSentEvent.html#t:t/0","title":"ElixirTools.Events.NotSentEvent.t/0","type":"type","doc":""},{"ref":"ElixirTools.Events.Publisher.html","title":"ElixirTools.Events.Publisher","type":"behaviour","doc":"The Publisher defines the behaviour to be implemented on adapter that implement the publishing logic to AWS, RabbitMQ or any other publishing method."},{"ref":"ElixirTools.Events.Publisher.html#c:publish/2","title":"ElixirTools.Events.Publisher.publish/2","type":"callback","doc":"The publish method publishes an event to an adapter."},{"ref":"ElixirTools.Fixture.html","title":"ElixirTools.Fixture","type":"module","doc":"Fixture is a helper to work with fixtures in tests."},{"ref":"ElixirTools.Fixture.html#load!/3","title":"ElixirTools.Fixture.load!/3","type":"function","doc":"Looks for a fixture without decoding"},{"ref":"ElixirTools.Fixture.html#load_json!/2","title":"ElixirTools.Fixture.load_json!/2","type":"function","doc":"Looks for a json fixture and decodes it"},{"ref":"ElixirTools.HealthChecks.HealthCheck.html","title":"ElixirTools.HealthChecks.HealthCheck","type":"behaviour","doc":"The HealthCheck module specifies a behaviour for dealing with health checks."},{"ref":"ElixirTools.HealthChecks.HealthCheck.html#c:status/1","title":"ElixirTools.HealthChecks.HealthCheck.status/1","type":"callback","doc":"Gets the status of a health check."},{"ref":"ElixirTools.HealthChecks.Sql.html","title":"ElixirTools.HealthChecks.Sql","type":"module","doc":"The Sql healthcheck verifies that the ecto repos are available and ready for handling requests"},{"ref":"ElixirTools.HealthChecks.Sql.html#t:ready_params/0","title":"ElixirTools.HealthChecks.Sql.ready_params/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html","title":"ElixirTools.HttpClient","type":"module","doc":"The HttpClient module handles HTTP(s) interactions with remote services."},{"ref":"ElixirTools.HttpClient.html#get/3","title":"ElixirTools.HttpClient.get/3","type":"function","doc":""},{"ref":"ElixirTools.HttpClient.html#post/4","title":"ElixirTools.HttpClient.post/4","type":"function","doc":""},{"ref":"ElixirTools.HttpClient.html#put/4","title":"ElixirTools.HttpClient.put/4","type":"function","doc":""},{"ref":"ElixirTools.HttpClient.html#t:action/0","title":"ElixirTools.HttpClient.action/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:adapter/0","title":"ElixirTools.HttpClient.adapter/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:base_uri/0","title":"ElixirTools.HttpClient.base_uri/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:header/0","title":"ElixirTools.HttpClient.header/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:path/0","title":"ElixirTools.HttpClient.path/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:post_opt/0","title":"ElixirTools.HttpClient.post_opt/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:put_opt/0","title":"ElixirTools.HttpClient.put_opt/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:query/0","title":"ElixirTools.HttpClient.query/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:request_body/0","title":"ElixirTools.HttpClient.request_body/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:response_body/0","title":"ElixirTools.HttpClient.response_body/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.html#t:uri/0","title":"ElixirTools.HttpClient.uri/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.Adapter.html","title":"ElixirTools.HttpClient.Adapter","type":"behaviour","doc":"The adapter specifies a behaviour for implementing HttpClient adapters"},{"ref":"ElixirTools.HttpClient.Adapter.html#c:base_uri/0","title":"ElixirTools.HttpClient.Adapter.base_uri/0","type":"callback","doc":"Returns the base URI String for the HTTP endpoint of a specific adapter."},{"ref":"ElixirTools.HttpClient.Request.html","title":"ElixirTools.HttpClient.Request","type":"behaviour","doc":"A Request prepares and does the call to an external provider."},{"ref":"ElixirTools.HttpClient.Request.html#c:create/2","title":"ElixirTools.HttpClient.Request.create/2","type":"callback","doc":"Execute an action on a resource"},{"ref":"ElixirTools.HttpClient.Request.html#c:delete/2","title":"ElixirTools.HttpClient.Request.delete/2","type":"callback","doc":""},{"ref":"ElixirTools.HttpClient.Request.html#c:get/2","title":"ElixirTools.HttpClient.Request.get/2","type":"callback","doc":""},{"ref":"ElixirTools.HttpClient.Request.html#c:update/2","title":"ElixirTools.HttpClient.Request.update/2","type":"callback","doc":""},{"ref":"ElixirTools.HttpClient.Request.html#t:params/0","title":"ElixirTools.HttpClient.Request.params/0","type":"type","doc":"The parameters to build the request."},{"ref":"ElixirTools.HttpClient.Request.html#t:request_opt/0","title":"ElixirTools.HttpClient.Request.request_opt/0","type":"type","doc":""},{"ref":"ElixirTools.HttpClient.Request.html#t:request_return/0","title":"ElixirTools.HttpClient.Request.request_return/0","type":"type","doc":"The return for every request."},{"ref":"ElixirTools.IntegerHelper.html","title":"ElixirTools.IntegerHelper","type":"module","doc":"Helper module for dealing with Integers"},{"ref":"ElixirTools.IntegerHelper.html#ensure_integer/4","title":"ElixirTools.IntegerHelper.ensure_integer/4","type":"function","doc":"Ensures a value is an integer. If it is not, it tries to make it an integer. If it is not parsable, it returns the given default with a warning"},{"ref":"ElixirTools.JsonApi.Controller.html","title":"ElixirTools.JsonApi.Controller","type":"module","doc":"Works together with the JsonApi. The JSON API expects a validated request and converts the controller into a Json Api Controller by passing only the validated parameters using JaSerializer. Allows two action_name calls: action_name/2. Calls the action name with the params: conn, json_api_params action_name/3. To keep access to original parameter object it will call `conn, phoenix_params, json_api_params` Example: defmodule Controller do use MyPhoenixWeb, :controller use ElixirTools.JsonApi.Controller def my_method(conn, json_params), do: conn def my_method(conn, phoenix_params, json_params), do: conn end"},{"ref":"ElixirTools.JsonApi.Controller.html#bad_input/2","title":"ElixirTools.JsonApi.Controller.bad_input/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#http_timeout/2","title":"ElixirTools.JsonApi.Controller.http_timeout/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#not_found/2","title":"ElixirTools.JsonApi.Controller.not_found/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#server_error/2","title":"ElixirTools.JsonApi.Controller.server_error/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#unprocessable_entity/2","title":"ElixirTools.JsonApi.Controller.unprocessable_entity/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#validate_params/2","title":"ElixirTools.JsonApi.Controller.validate_params/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#t:idempotency_key/0","title":"ElixirTools.JsonApi.Controller.idempotency_key/0","type":"type","doc":""},{"ref":"ElixirTools.JsonApi.Controller.html#t:params/0","title":"ElixirTools.JsonApi.Controller.params/0","type":"type","doc":""},{"ref":"ElixirTools.JsonApi.ValidationPlug.html","title":"ElixirTools.JsonApi.ValidationPlug","type":"module","doc":"A Plug that checks whether a valid JSON API request is sent. Also prepares the request to work together with the JsonApiController by assigning the json api parameters to the request."},{"ref":"ElixirTools.JsonApi.ValidationPlug.html#call/2","title":"ElixirTools.JsonApi.ValidationPlug.call/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.ValidationPlug.html#changeset/1","title":"ElixirTools.JsonApi.ValidationPlug.changeset/1","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.ValidationPlug.html#init/1","title":"ElixirTools.JsonApi.ValidationPlug.init/1","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.View.html","title":"ElixirTools.JsonApi.View","type":"module","doc":"JSON API View is an overlay over the default Jaserializer view and provides functionality to apply standards."},{"ref":"ElixirTools.JsonApi.View.html#render/2","title":"ElixirTools.JsonApi.View.render/2","type":"function","doc":""},{"ref":"ElixirTools.JsonApi.View.html#t:view/0","title":"ElixirTools.JsonApi.View.view/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Adapter.html","title":"ElixirTools.Metrix.Adapters.Adapter","type":"behaviour","doc":"Implements a statsd behaviour"},{"ref":"ElixirTools.Metrix.Adapters.Adapter.html#c:to_tags/1","title":"ElixirTools.Metrix.Adapters.Adapter.to_tags/1","type":"callback","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Adapter.html#t:metric/0","title":"ElixirTools.Metrix.Adapters.Adapter.metric/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Adapter.html#t:tag_map/0","title":"ElixirTools.Metrix.Adapters.Adapter.tag_map/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Adapter.html#t:value/0","title":"ElixirTools.Metrix.Adapters.Adapter.value/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html","title":"ElixirTools.Metrix.Adapters.Ignore","type":"module","doc":"This adapter acts like metrics are sent, but it does not do anything"},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#connect/0","title":"ElixirTools.Metrix.Adapters.Ignore.connect/0","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#count/3","title":"ElixirTools.Metrix.Adapters.Ignore.count/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#decrement/3","title":"ElixirTools.Metrix.Adapters.Ignore.decrement/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#gauge/3","title":"ElixirTools.Metrix.Adapters.Ignore.gauge/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#histogram/3","title":"ElixirTools.Metrix.Adapters.Ignore.histogram/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#increment/3","title":"ElixirTools.Metrix.Adapters.Ignore.increment/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Ignore.html#timing/3","title":"ElixirTools.Metrix.Adapters.Ignore.timing/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html","title":"ElixirTools.Metrix.Adapters.Log","type":"module","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#connect/0","title":"ElixirTools.Metrix.Adapters.Log.connect/0","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#count/3","title":"ElixirTools.Metrix.Adapters.Log.count/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#decrement/3","title":"ElixirTools.Metrix.Adapters.Log.decrement/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#gauge/3","title":"ElixirTools.Metrix.Adapters.Log.gauge/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#histogram/3","title":"ElixirTools.Metrix.Adapters.Log.histogram/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#increment/3","title":"ElixirTools.Metrix.Adapters.Log.increment/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Log.html#timing/3","title":"ElixirTools.Metrix.Adapters.Log.timing/3","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Statix.html","title":"ElixirTools.Metrix.Adapters.Statix","type":"module","doc":""},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#connect/0","title":"ElixirTools.Metrix.Adapters.Statix.connect/0","type":"function","doc":"Opens the connection to the StatsD-compatible server. The configuration is read from the configuration for the :statix application (both globally and per connection). Callback implementation for Statix.connect/0."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#decrement/3","title":"ElixirTools.Metrix.Adapters.Statix.decrement/3","type":"function","doc":"Decrements the StatsD counter identified by key by the given value. Works same as c:increment/3 but subtracts value instead of adding it. For this reason value should be zero or negative. Examples iex&gt; MyApp.Statix.decrement(&quot;open_connections&quot;, 1, []) :ok Callback implementation for Statix.decrement/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#gauge/3","title":"ElixirTools.Metrix.Adapters.Statix.gauge/3","type":"function","doc":"Writes to the StatsD gauge identified by key. Examples iex&gt; MyApp.Statix.gauge(&quot;cpu_usage&quot;, 0.83, []) :ok Callback implementation for Statix.gauge/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#histogram/3","title":"ElixirTools.Metrix.Adapters.Statix.histogram/3","type":"function","doc":"Writes value to the histogram identified by key. Not all StatsD-compatible servers support histograms. An example of a such server statsite. Examples iex&gt; MyApp.Statix.histogram(&quot;online_users&quot;, 123, []) :ok Callback implementation for Statix.histogram/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#increment/3","title":"ElixirTools.Metrix.Adapters.Statix.increment/3","type":"function","doc":"Increments the StatsD counter identified by key by the given value. value is supposed to be zero or positive and c:decrement/3 should be used for negative values. Examples iex&gt; MyApp.Statix.increment(&quot;hits&quot;, 1, []) :ok Callback implementation for Statix.increment/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#measure/3","title":"ElixirTools.Metrix.Adapters.Statix.measure/3","type":"function","doc":"Measures the execution time of the given function and writes that to the StatsD timing identified by key. This function returns the value returned by function, making it suitable for easily wrapping existing code. Examples iex&gt; MyApp.Statix.measure(&quot;integer_to_string&quot;, [], fn -&gt; Integer.to_string(123) end) &quot;123&quot; Callback implementation for Statix.measure/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#set/3","title":"ElixirTools.Metrix.Adapters.Statix.set/3","type":"function","doc":"Writes the given value to the StatsD set identified by key. Examples iex&gt; MyApp.Statix.set(&quot;unique_visitors&quot;, &quot;user1&quot;, []) :ok Callback implementation for Statix.set/3."},{"ref":"ElixirTools.Metrix.Adapters.Statix.html#timing/3","title":"ElixirTools.Metrix.Adapters.Statix.timing/3","type":"function","doc":"Writes the given value to the StatsD timing identified by key. value is expected in milliseconds. Examples iex&gt; MyApp.Statix.timing(&quot;rendering&quot;, 12, []) :ok Callback implementation for Statix.timing/3."},{"ref":"ElixirTools.Metrix.Plug.html","title":"ElixirTools.Metrix.Plug","type":"module","doc":"Sends phoenix metrics to the statsd adapter for request and response information"},{"ref":"ElixirTools.Metrix.Plug.html#call/2","title":"ElixirTools.Metrix.Plug.call/2","type":"function","doc":"Callback implementation for Plug.call/2."},{"ref":"ElixirTools.Metrix.Plug.html#init/1","title":"ElixirTools.Metrix.Plug.init/1","type":"function","doc":"Callback implementation for Plug.init/1."},{"ref":"ElixirTools.Metrix.Plug.Tags.html","title":"ElixirTools.Metrix.Plug.Tags","type":"module","doc":"Module to help the Metrics plug to fetch tags"},{"ref":"ElixirTools.Metrix.Plug.Tags.html#api_version/1","title":"ElixirTools.Metrix.Plug.Tags.api_version/1","type":"function","doc":"Returns the requested API version, based on the URL"},{"ref":"ElixirTools.Metrix.Plug.Tags.html#controller_name/1","title":"ElixirTools.Metrix.Plug.Tags.controller_name/1","type":"function","doc":"Returns the controller name if set, nil otherwise"},{"ref":"ElixirTools.Metrix.Plug.Tags.html#method_name/1","title":"ElixirTools.Metrix.Plug.Tags.method_name/1","type":"function","doc":"Returns the method name if set, nil otherwise"},{"ref":"ElixirTools.Metrix.Plug.Tags.html#request_path/1","title":"ElixirTools.Metrix.Plug.Tags.request_path/1","type":"function","doc":"Returns the cleaned request path. It removes additional slashes."},{"ref":"ElixirTools.Metrix.Plug.Tags.html#response_status_code_class/1","title":"ElixirTools.Metrix.Plug.Tags.response_status_code_class/1","type":"function","doc":"Returns the code class for the response."},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.html","title":"ElixirTools.Metrix.Recurring.ErlangStats","type":"module","doc":"Sends periodically Erlang metrics to a ElixirTools.Metrix Adapter"},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.html#child_spec/1","title":"ElixirTools.Metrix.Recurring.ErlangStats.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.html#send_metrics/1","title":"ElixirTools.Metrix.Recurring.ErlangStats.send_metrics/1","type":"function","doc":"Collects the erlang statistics and sends them to the adapter."},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.html#start_link/1","title":"ElixirTools.Metrix.Recurring.ErlangStats.start_link/1","type":"function","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics","type":"behaviour","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#all/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.all/0","type":"function","doc":"Returns all metrics modules to measure"},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#c:measure/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.measure/0","type":"callback","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#t:metric/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.metric/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#t:on_measure/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.on_measure/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#t:tags/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.tags/0","type":"type","doc":""},{"ref":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.html#t:value/0","title":"ElixirTools.Metrix.Recurring.ErlangStats.Metrics.value/0","type":"type","doc":""},{"ref":"ElixirTools.MultiLevelRequestLogger.Plug.html","title":"ElixirTools.MultiLevelRequestLogger.Plug","type":"module","doc":""},{"ref":"ElixirTools.MultiLevelRequestLogger.Plug.html#t:log_level/0","title":"ElixirTools.MultiLevelRequestLogger.Plug.log_level/0","type":"type","doc":""},{"ref":"ElixirTools.Schema.html","title":"ElixirTools.Schema","type":"behaviour","doc":"The Schema provides functionality for working simple and productive with Ecto."},{"ref":"ElixirTools.Schema.html#c:changeset/1","title":"ElixirTools.Schema.changeset/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.html#default_repo/0","title":"ElixirTools.Schema.default_repo/0","type":"function","doc":""},{"ref":"ElixirTools.Schema.html#t:id/0","title":"ElixirTools.Schema.id/0","type":"type","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html","title":"ElixirTools.Schema.Behaviour","type":"behaviour","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:all/1","title":"ElixirTools.Schema.Behaviour.all/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:changeset/1","title":"ElixirTools.Schema.Behaviour.changeset/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:create/1","title":"ElixirTools.Schema.Behaviour.create/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:create!/1","title":"ElixirTools.Schema.Behaviour.create!/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:get/1","title":"ElixirTools.Schema.Behaviour.get/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:get!/1","title":"ElixirTools.Schema.Behaviour.get!/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:get_by/1","title":"ElixirTools.Schema.Behaviour.get_by/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:get_by!/1","title":"ElixirTools.Schema.Behaviour.get_by!/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:insert/1","title":"ElixirTools.Schema.Behaviour.insert/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:insert!/1","title":"ElixirTools.Schema.Behaviour.insert!/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:new/1","title":"ElixirTools.Schema.Behaviour.new/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:preload/2","title":"ElixirTools.Schema.Behaviour.preload/2","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:repo/0","title":"ElixirTools.Schema.Behaviour.repo/0","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:update/2","title":"ElixirTools.Schema.Behaviour.update/2","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:update!/2","title":"ElixirTools.Schema.Behaviour.update!/2","type":"callback","doc":""},{"ref":"ElixirTools.Schema.Behaviour.html#c:validate/1","title":"ElixirTools.Schema.Behaviour.validate/1","type":"callback","doc":""},{"ref":"ElixirTools.Schema.SchemaImpl.html","title":"ElixirTools.Schema.SchemaImpl","type":"module","doc":""},{"ref":"ElixirTools.Schema.SchemaImpl.html#all/2","title":"ElixirTools.Schema.SchemaImpl.all/2","type":"function","doc":"Fetches all records from the DB."},{"ref":"ElixirTools.Schema.SchemaImpl.html#create/2","title":"ElixirTools.Schema.SchemaImpl.create/2","type":"function","doc":"Creates a new MODULE struct by parameters and inserts it in the database when the values are valid"},{"ref":"ElixirTools.Schema.SchemaImpl.html#create!/2","title":"ElixirTools.Schema.SchemaImpl.create!/2","type":"function","doc":"The same as create/1 but raises an error when validation fails."},{"ref":"ElixirTools.Schema.SchemaImpl.html#get/2","title":"ElixirTools.Schema.SchemaImpl.get/2","type":"function","doc":"Gets a struct from the database by providing the ID"},{"ref":"ElixirTools.Schema.SchemaImpl.html#get!/2","title":"ElixirTools.Schema.SchemaImpl.get!/2","type":"function","doc":"Gets a struct from the database by providing the ID, raises Ecto.NoResultsError if no record was found"},{"ref":"ElixirTools.Schema.SchemaImpl.html#get_by/2","title":"ElixirTools.Schema.SchemaImpl.get_by/2","type":"function","doc":"Gets the first record by key: value"},{"ref":"ElixirTools.Schema.SchemaImpl.html#get_by!/2","title":"ElixirTools.Schema.SchemaImpl.get_by!/2","type":"function","doc":"Gets the first record by key: value"},{"ref":"ElixirTools.Schema.SchemaImpl.html#insert/2","title":"ElixirTools.Schema.SchemaImpl.insert/2","type":"function","doc":"Inserts a struct into the database."},{"ref":"ElixirTools.Schema.SchemaImpl.html#insert!/2","title":"ElixirTools.Schema.SchemaImpl.insert!/2","type":"function","doc":"Inserts a struct in the database and throws an error when it fails."},{"ref":"ElixirTools.Schema.SchemaImpl.html#last/3","title":"ElixirTools.Schema.SchemaImpl.last/3","type":"function","doc":""},{"ref":"ElixirTools.Schema.SchemaImpl.html#new/2","title":"ElixirTools.Schema.SchemaImpl.new/2","type":"function","doc":"Creates a new changeset by providing map. Returns a struct of the type with the defaults set. Keep in mind that new/1 does not validate."},{"ref":"ElixirTools.Schema.SchemaImpl.html#preload/4","title":"ElixirTools.Schema.SchemaImpl.preload/4","type":"function","doc":"Preloads a field on a struct."},{"ref":"ElixirTools.Schema.SchemaImpl.html#update/3","title":"ElixirTools.Schema.SchemaImpl.update/3","type":"function","doc":"Alters the struct with the values and updates the database record. The first argument takes the original struct, the second a map with changes."},{"ref":"ElixirTools.Schema.SchemaImpl.html#update!/3","title":"ElixirTools.Schema.SchemaImpl.update!/3","type":"function","doc":"The same as update/2 but raises an error when validation fails."},{"ref":"ElixirTools.Schema.SchemaImpl.html#validate/2","title":"ElixirTools.Schema.SchemaImpl.validate/2","type":"function","doc":"Validates a map or struct."},{"ref":"ElixirTools.Schema.SchemaImpl.html#t:t/0","title":"ElixirTools.Schema.SchemaImpl.t/0","type":"type","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.html","title":"ElixirTools.TestHelper.DateTimeFake","type":"module","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.html#get_datetime/0","title":"ElixirTools.TestHelper.DateTimeFake.get_datetime/0","type":"function","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html","title":"ElixirTools.TestHelper.DateTimeFake.Contract","type":"behaviour","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:__struct__/0","title":"ElixirTools.TestHelper.DateTimeFake.Contract.__struct__/0","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:__struct__/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.__struct__/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:add/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.add/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:add/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.add/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:add/4","title":"ElixirTools.TestHelper.DateTimeFake.Contract.add/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:compare/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.compare/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:convert/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.convert/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:convert!/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.convert!/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:diff/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.diff/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:diff/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.diff/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_iso8601/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_iso8601/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_iso8601/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_iso8601/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_naive/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_naive/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_naive/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_naive/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_naive!/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_naive!/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_naive!/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_naive!/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix!/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix!/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix!/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix!/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:from_unix!/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.from_unix!/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:now/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.now/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:now/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.now/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:shift_zone/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.shift_zone/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:shift_zone/3","title":"ElixirTools.TestHelper.DateTimeFake.Contract.shift_zone/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_date/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_date/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_iso8601/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_iso8601/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_iso8601/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_iso8601/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_naive/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_naive/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_string/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_string/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_time/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_time/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_unix/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_unix/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:to_unix/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.to_unix/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:truncate/2","title":"ElixirTools.TestHelper.DateTimeFake.Contract.truncate/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:utc_now/0","title":"ElixirTools.TestHelper.DateTimeFake.Contract.utc_now/0","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.DateTimeFake.Contract.html#c:utc_now/1","title":"ElixirTools.TestHelper.DateTimeFake.Contract.utc_now/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.html","title":"ElixirTools.TestHelper.EventHandlerFake","type":"module","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.Contract.html","title":"ElixirTools.TestHelper.EventHandlerFake.Contract","type":"behaviour","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.Contract.html#c:create/3","title":"ElixirTools.TestHelper.EventHandlerFake.Contract.create/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.Contract.html#c:create/4","title":"ElixirTools.TestHelper.EventHandlerFake.Contract.create/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.Contract.html#c:publish/2","title":"ElixirTools.TestHelper.EventHandlerFake.Contract.publish/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.EventHandlerFake.Contract.html#c:publish_event_call/2","title":"ElixirTools.TestHelper.EventHandlerFake.Contract.publish_event_call/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.html","title":"ElixirTools.TestHelper.MetrixFake","type":"module","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html","title":"ElixirTools.TestHelper.MetrixFake.Contract","type":"behaviour","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:child_spec/1","title":"ElixirTools.TestHelper.MetrixFake.Contract.child_spec/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:code_change/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.code_change/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:count/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.count/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:count/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.count/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:count/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.count/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:decrement/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.decrement/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:decrement/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.decrement/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:decrement/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.decrement/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:gauge/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.gauge/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:gauge/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.gauge/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:gauge/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.gauge/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:handle_call/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.handle_call/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:handle_cast/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.handle_cast/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:handle_info/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.handle_info/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:histogram/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.histogram/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:histogram/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.histogram/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:histogram/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.histogram/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:increment/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.increment/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:increment/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.increment/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:increment/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.increment/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:init/1","title":"ElixirTools.TestHelper.MetrixFake.Contract.init/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:start_link/1","title":"ElixirTools.TestHelper.MetrixFake.Contract.start_link/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:terminate/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.terminate/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:timing/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.timing/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:timing/3","title":"ElixirTools.TestHelper.MetrixFake.Contract.timing/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:timing/4","title":"ElixirTools.TestHelper.MetrixFake.Contract.timing/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.MetrixFake.Contract.html#c:to_tags/2","title":"ElixirTools.TestHelper.MetrixFake.Contract.to_tags/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.html","title":"ElixirTools.TestHelper.TaskSupervisorFake","type":"module","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract","type":"behaviour","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async/2","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async/3","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async/4","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async/5","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async/5","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_nolink/2","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_nolink/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_nolink/3","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_nolink/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_nolink/4","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_nolink/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_nolink/5","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_nolink/5","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream/3","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream/4","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream/5","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream/5","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream/6","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream/6","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream_nolink/3","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream_nolink/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream_nolink/4","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream_nolink/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream_nolink/5","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream_nolink/5","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:async_stream_nolink/6","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.async_stream_nolink/6","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:child_spec/1","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.child_spec/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:children/1","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.children/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:init/1","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.init/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_child/2","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_child/2","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_child/3","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_child/3","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_child/4","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_child/4","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_child/5","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_child/5","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_link/0","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_link/0","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:start_link/1","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.start_link/1","type":"callback","doc":""},{"ref":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.html#c:terminate_child/2","title":"ElixirTools.TestHelper.TaskSupervisorFake.Contract.terminate_child/2","type":"callback","doc":""},{"ref":"readme.html","title":"Elixir Tools","type":"extras","doc":"Elixir Tools This package contains shared tools between Elixir projects within Pagantis"},{"ref":"readme.html#installation","title":"Elixir Tools - Installation","type":"extras","doc":"The package can be used by adding it to your mix.env def deps do [ {:pagantis_elixir_tools, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#contents","title":"Elixir Tools - Contents","type":"extras","doc":"This package contains the following tools:"}]